/* Basic Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    line-height: 1.6;
    color: #333;
}

header {
    background-color: #f4f4f4;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    max-width:800px;
    margin-left: auto;
    margin-right: auto;
}

.header-container{
    background-color: #f4f4f4;
}


a{
    color: #0d0d0d;
}

h3{
    display:block;
    height:60px;
    line-height: 1.4rem;
}

#about{
    display:block;
    max-width:600px;
    margin-left:auto;
    margin-right:auto;
}

#services, #contact {
    margin-left:auto;
    margin-right:auto;
    max-width:800px;
}

.logo {
    font-size: 1.5em;
    font-weight: bold;
}

nav ul {
    list-style-type: none;
}

nav ul li {
    display: inline-block;
    margin-left: 20px;
}

nav ul li a {
    text-decoration: none;
    color: #333;
    font-weight: bold;
    transition: color 0.3s ease;
}

nav ul li a:hover {
    color: #0d0d0d;
}

.hero {
    text-align: center;
    padding: 150px 40px 200px 40px;
    background: #f4f4f4;
    width: 100%;
}

.hero h1 {
    font-size: 3em;
    margin-bottom: 20px;
}

.hero p {
    font-size: 1.2em;
    margin-bottom: 40px;
}

.cta-button {
    display: inline-block;
    padding: 10px 20px;
    border: 2px solid #0d0d0d;
    color: #0d0d0d;
    text-decoration: none;
    font-weight: bold;
    transition: background-color 0.3s ease, color 0.3s ease;
}

.cta-button:hover {
    background-color: #0d0d0d;
    color: #fff;
}

main {
    margin: 0 auto;
    text-align: center;
}

section {
    padding: 50px 0;
}

h2 {
    margin-bottom: 20px;
    font-size: 2em;
    border-bottom: 2px solid #ddd;
    padding-bottom: 10px;
}

.services-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}

.service-item {
    background: #f4f4f4;
    padding: 10px;
    border-radius: 8px;
    width: 100%;
    max-width: 250px;
    text-align: center;
}

.service-item .icon {
    font-size: 2em;
    margin-bottom: 10px;
}

.img-icon{
    max-width:64px;
}

.map-image {
    margin-top: 20px;
    max-width: 100%;
    border: 1px solid #ddd;
    border-radius: 8px;
    transition: transform 0.3s ease;
}

.map-image:hover {
    transform: scale(1.05);
}

footer {
    text-align: center;
    padding: 20px;
    background: #f4f4f4;
    margin-top: 50px;
}

address{
    text-align: left;
    padding-left:20px;
    font-style: normal;
}

.contact-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}

.contact-item {
    padding: 10px;
    border-radius: 8px;
    width: 100%;
    max-width: 390px;
    text-align: center;
}

/* Mobile responsiveness */
@media (max-width: 600px) {
    nav{
        display:none;
    }

    .hero h1 {
        font-size: 2em;
    }

    .hero p {
        font-size: 1em;
    }

    .logo {
        width:100%;
        font-size: 1.1em;
        text-align: center;
    }

}
